<?php 
include("../includes/inc-config.php");
include(CHEMIN."includes/inc-header.php");
include(CHEMIN."includes/Spyc.php");
include(CHEMIN."includes/yaml-readwriteclass.php");
include(CHEMIN."includes/inc-fonctions.php");
include("inc-admin-header.php");


//print_r($_POST);
$messages="";
if(isset($_POST['zine_action'])){
    $lien_complet=$_POST['zine_nom'];
    $path_parts = pathinfo($_POST['zine_nom']);
    $nom_pdf=$path_parts['basename'];
    if($_POST['zine_action']=="horsligne"){
        rename($lien_complet, CHEMIN.DOSSIER_ARCHIVES."/".$nom_pdf);
        $messages.= afficher_message("Le fichier ".$nom_pdf." a été déplacé.");
    } else if($_POST['zine_action']=="supprimer"){
        unlink($lien_complet);
        $messages.= afficher_message("Le fichier ".$nom_pdf." a été supprimé.");
    } 
}
if(isset($_POST['image_action'])){
    $lien_complet=$_POST['image_nom'];
    $path_parts = pathinfo($_POST['image_nom']);
    $nom_image=$path_parts['basename'];
    if($_POST['image_action']=="supprimer"){
        unlink($lien_complet); // image
        unlink(CHEMIN.DOSSIER_COURANT."/".$path_parts['filename'].".yaml"); // fichier yaml
        $messages.= afficher_message("Le fichier ".$nom_image." a été supprimé.");
    } 
}
echo "<div aria-live='polite' aria-atomic='true' class='position-relative'>
<div class='toast-container position-absolute top-0 end-0 p-3'>";
echo $messages;
echo "</div></div>";
?>

<main id="main" class="container-fluid px-4">
    <div class="row my-4">
        <div class="col texte">
            <h3>Gestion du catalogue</h3>
            <div>Ici on gère les zines affichés. Attention, un zine doit être mis hors ligne pour pouvoir être supprimé.</div>
        </div>

    </div>

    <div class="row">
        <div class="col-12 col-md-6 mb-4">
            <div class="border rounded p-3 translucide">
                <h2 class="text-big">Zines édités au catalogue</h2>
                <div class="list-group">
                    <?php
                    $params=array(
                        "chantier"=>true,
                        "publier"=>false,
                        "propositions"=>false,
                        "archiver"=>true,
                        "supprimer"=>false,
                        "generer"=>true,
                    );
                    lister_catalogue($params);
                    ?>
                </div>
            </div>
        </div>

        <div class="col-12 col-md-6 mb-4">
            <div class="border rounded p-3 translucide">
                <h2 class="text-big">Zines en chantier</h2>
                <div class="texte my-3">
                    <?php
                    $params=array(
                        "chantier"=>false,
                        "propositions"=>true,
                        "publier"=>true,
                        "archiver"=>true,
                        "supprimer"=>false,
                        "generer"=>true,
                    );
                    lister_catalogue($params,DOSSIER_COURANT); 
                    ?>
                </div>
                <a class="btn btn-sm btn-success text-light" href="config_zine.php?new=oui">Créer un zine</a>
            </div>
        </div>

        <div class="col-12 col-md-6 mb-4">
            <div class="border rounded p-3 translucide">
                <h2 class="text-big">Zines hors ligne</h2>
                <div class="texte my-3">
                    <?php
                    $params=array(
                        "chantier"=>true,
                        "propositions"=>false,
                        "publier"=>true,
                        "archiver"=>false,
                        "supprimer"=>true,
                        "generer"=>false
                    );
                    lister_catalogue($params,DOSSIER_ARCHIVES);
                    ?>
                </div>
            </div>
        </div>
    </div>
</main>

<?php 
include("../includes/inc-footer.php");